<script setup lang="ts">
import { ChevronLgRight } from 'slippers-ui/icons';
import type { BaseCard } from '@/types/base';

interface Badge {
  config: {
    src: string;
  };
  altText: string;
}

interface RecognitionProps {
  title?: string;
  subtitle?: string;
  badges?: Badge[];
  cards?: BaseCard[];
}

defineProps<RecognitionProps>();
</script>

<template>
  <section class="recognition">
    <SlpContainer>
      <SlpRow class="recognition__row">
        <SlpColumn :cols="6" size="md">
          <SlpTypography tag="h2" variant="heading3-bold" class="slp-mb-8">
            <span v-html="title"></span>
          </SlpTypography>
          <SlpTypography tag="p" variant="heading5" class="slp-mb-48">
            <span v-html="subtitle"></span>
          </SlpTypography>
          <div v-if="badges" class="recognition__badges">
            <img
              v-for="image in badges"
              :key="image.config.src"
              :src="image.config.src"
              :alt="image.altText"
              loading="lazy"
            />
          </div>
        </SlpColumn>
        <SlpColumn :cols="1" />
        <SlpColumn :cols="5" size="md">
          <div v-for="card in cards" :key="card.description" class="recognition__card">
            <SlpTypography v-if="card.title" tag="p" variant="heading4-bold" class="slp-mb-md-32">
              {{ card.title }}
            </SlpTypography>
            <img
              v-if="card.image"
              :src="card.image.config.src"
              :alt="card.image?.altText ?? ''"
              height="24px"
              class="slp-mb-24"
              loading="lazy"
            />
            <SlpTypography v-if="card.description" tag="p" variant="body1" class="slp-mb-md-32">
              {{ card.description }}
            </SlpTypography>
            <SlpButton
              variant="tertiary"
              class="recognition__button slp-mt-16"
              :href="card.button?.config?.href"
              :data-ga-name="card.button?.config?.dataGaName"
              :data-ga-location="card.button?.config?.dataGaLocation"
            >
              {{ card.button?.text }}
              <SlpIcon :icon="ChevronLgRight" size="sm" class="recognition__content-icon" />
            </SlpButton>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.recognition {
  position: relative;
  padding: 64px 0;
  z-index: 0;

  @media (min-width: 768px) {
    padding: 64px 0;
  }
  &__row {
    padding: 96px 0;
    border-top: 1px solid var(--slp-color-action-secondary-100, #d1d0d3);
    border-bottom: 1px solid var(--slp-color-action-secondary-100, #d1d0d3);
  }
  &__badges {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 48px;
    justify-content: space-between;
    @media (min-width: $breakpoint-md) {
      gap: 42px;
    }
    img {
      width: 76px;
      flex: 0 0 22%;
      @media (min-width: $breakpoint-md) {
        width: 96px;
        flex: 0 0 auto;
      }
    }
  }
  &__card {
    border: 1px solid $color-surface-100;
    padding: 32px;
    background: $color-surface-800;
    margin-bottom: 16px;
    border-radius: 8px;

    .recognition__button {
      margin-top: 16px;
    }
  }
  &__content-icon {
    margin-left: 8px;
  }
}
</style>
